import React from 'react';
import ReactDOM from 'react-dom';
import {arc} from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;
const eyeOffsetX = 90;
const eyeOffsetY = 70;
const eyeRadius = 30;
const mouthWidth = 100;
const mouthRadius = 20;


const App = () => (
   <svg width={width} height={height}>
    	<g transform={`translate(${centerX},${centerY})`} >
        <circle
          r={centerY - (strokeWidth / 2)}
          fill="skyblue"
          stroke="black"
          strokeWidth={strokeWidth}
      />
    	<circle 
        cx={eyeOffsetX}
        cy={-140+eyeOffsetY}
        r={eyeRadius}
        stroke="black"
        fill="white"
			/>
         <line
        x1={100}
        y1={100}
        x2={-100}
        y2={100}
        stroke = "white"
        stroke-width = '25'
        fill="white"
      />
        <ellipse
        rx={eyeRadius/2}
        ry={eyeRadius/2}
        fill = "green"
        stroke = "black"
      />
      <circle 
        cx={- eyeOffsetX}
        cy={-140 + eyeOffsetY}
        r={eyeRadius}
        fill="white"
        stroke="black"
      />
         
        </g>
    </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);